package cd.casic.ci.commons.commonapi.enums;

import org.apache.commons.lang3.StringUtils;

public enum CheckoutRepositoryType {
    ID,
    NAME,
    URL,
    SELF;

    public static CheckoutRepositoryType parseType(String type) {
        if (type == null || StringUtils.isBlank(type)) {
            return ID;
        }
        return valueOf(type);
    }

    /**
     * 拉取类型跳过定时触发源代码变更检查
     */
    public static boolean skipTimerTriggerChange(String type) {
        return type != null && (type.equals(URL.name()) || type.equals(SELF.name()));
    }
} 