package cd.casic.ci.commons.commonapi.enums;

@SuppressWarnings("unused")
public enum SystemModuleEnum {
    COMMON("00"),          // 公共模块
    PROCESS("01"),         // 流水线
    ARTIFACTORY("02"),     // 版本仓库
    OPENAPI("12"),         // 开放平台API
    PLUGIN("13"),          // 插件
    QUALITY("14"),         // 质量红线
    REPOSITORY("15"),      // 代码库
    SCM("16"),            // 软件配置管理
    SUPPORT("17"),         // 支撑服务
    TICKET("18"),         // 证书凭据
    PROJECT("19"),        // 项目管理
    STORE("20"),          // 商店
    AUTH("21"),           // 权限
    SIGN("22"),           // 签名服务
    METRICS("23"),        // 度量服务
    EXTERNAL("24"),       // 外部扩展
    PREBUILD("25"),       // 预构建
    BUILDLESS("27"),      // buildless服务
    LAMBDA("28"),         // lambda服务
    STREAM("29"),         // stream服务
    WORKER("30"),         // 度量服务
    REMOTEDEV("32");      // 远程开发服务

    private final String code;

    SystemModuleEnum(String code) {
        this.code = code;
    }

    public static String getSystemModule(String code) {
        for (SystemModuleEnum value : values()) {
            if (value.code.equals(code)) {
                return value.name();
            }
        }
        return COMMON.name();
    }

    public String getCode() {
        return code;
    }
} 