package cd.casic.ci.commons.commonapi.pojo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

@Data
@Schema(title = "插件监控数据")
public class AtomMonitorData {
    @Schema(title = "插件执行错误码", required = true)
    //@InfluxTag
    private Integer errorCode;

    @Schema(title = "插件执行错误信息", required = false)
    private String errorMsg;

    @Schema(title = "插件执行错误类型", required = false)
    //@InfluxTag
    private String errorType;

    @Schema(title = "插件代码", required = true)
    //@InfluxTag
    private String atomCode;

    @Schema(title = "插件版本", required = true)
    private String version;

    @Schema(title = "项目ID", required = true)
    private String projectId;

    @Schema(title = "流水线ID", required = true)
    private String pipelineId;

    @Schema(title = "构建ID", required = true)
    private String buildId;

    @Schema(title = "构建环境ID", required = true)
    private String vmSeqId;

    @Schema(title = "执行开始时间", required = false)
    //@InfluxTag
    private Long startTime;

    @Schema(title = "执行结束时间", required = false)
    //@InfluxTag
    private Long endTime;

    @Schema(title = "执行耗时时间", required = false)
    private Long elapseTime;

    @Schema(title = "来源渠道", required = false)
    private String channel;

    @Schema(title = "执行人", required = true)
    private String starter;

    @Schema(title = "组织架构详细信息", required = true)
    private OrganizationDetailInfo organizationDetailInfo;

    @Schema(title = "扩展数据", required = false)
    private Map<String, Object> extData;
}