package cd.casic.ci.commons.commonapi.pojo;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class CommonEnv {
    private static final Map<String, String> envMap = new ConcurrentHashMap<>();
    private static final Logger logger = LoggerFactory.getLogger(CommonEnv.class);

    private CommonEnv() {
        // Private constructor to prevent instantiation
    }

    public static void addCommonEnv(Map<String, String> env) {
        logger.info("Add the env({}) to common environment", env);
        envMap.putAll(env);
    }

    public static Map<String, String> getCommonEnv() {
        return new HashMap<>(envMap);
    }
} 