package cd.casic.ci.commons.commonapi.pojo;

public enum ErrorType {
    SYSTEM("system", 0),
    USER("user", 1),
    THIRD_PARTY("thirdParty", 2),
    PLUGIN("plugin", 3);

    private final String typeName;
    private final int num;

    ErrorType(String typeName, int num) {
        this.typeName = typeName;
        this.num = num;
    }

    public static ErrorType getErrorType(String name) {
        if (name == null) {
            return null;
        }
        for (ErrorType type : values()) {
            if (type.name().equals(name)) {
                return type;
            }
        }
        return null;
    }
    public static ErrorType getErrorType(Integer ordinal) {
        ErrorType result;
        if (ordinal == null) {
            result = ErrorType.PLUGIN;
        } else {
            switch (ordinal) {
                case 0:
                    result = ErrorType.SYSTEM;
                    break;
                case 1:
                    result = ErrorType.USER;
                    break;
                case 2:
                    result = ErrorType.THIRD_PARTY;
                    break;
                default:
                    result = ErrorType.PLUGIN;
            }
        }
        return result;
    }
  /*  public static ErrorType getErrorType(Integer ordinal) {
        if (ordinal == null) {
            return PLUGIN;
        }
        return switch (ordinal) {
            case 0 -> SYSTEM;
            case 1 -> USER;
            case 2 -> THIRD_PARTY;
            default -> PLUGIN;
        };
    }*/

   /* public String getI18n(String language) {
        return MessageUtil.getMessageByLocale(
            "errorType." + this.typeName,
            language
        );
    }*/

    public String getTypeName() {
        return typeName;
    }

    public int getNum() {
        return num;
    }
} 