package cd.casic.ci.commons.commonapi.pojo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
@Schema(title = "数据返回包装模型")
public class Result<T> {
    @Schema(title = "状态码", required = true)
    private final Integer status;

    @Schema(title = "错误信息", required = false)
    private final String message;

    @Schema(title = "数据", required = false)
//    @BkFieldI18n
    private final T data;

    public Result(T data) {
        this(0, null, data);
    }

    public Result(String message, T data) {
        this(0, message, data);
    }

    public Result(Integer status, String message) {
        this(status, message, null);
    }

    @JsonIgnore
    public boolean isOk() {
        return status == 0;
    }

    @JsonIgnore
    public boolean isNotOk() {
        return !isOk();
    }
}