/*
 * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license.
 *
 * A copy of the MIT License is included in this file.
 *
 * ...
 */

package cd.casic.ci.commons.commonapi.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(title = "docker init 文件升级信息")
public class DockerInitFileInfo {
    @Schema(title = "文件md5值")
    private String fileMd5;

    @Schema(title = "目前只支持linux机器，所以其他系统不需要检查")
    private boolean needUpgrade;

    public DockerInitFileInfo(String fileMd5, boolean needUpgrade) {
        this.fileMd5 = fileMd5;
        this.needUpgrade = needUpgrade;
    }

    public String getFileMd5() {
        return fileMd5;
    }

    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    public boolean isNeedUpgrade() {
        return needUpgrade;
    }

    public void setNeedUpgrade(boolean needUpgrade) {
        this.needUpgrade = needUpgrade;
    }
} 